System 2.0.0.0 4.0.0.0 System.Security.CodeAccessPermission System.Security.Permissions.IUnrestrictedPermission

This permission is used to secure data returned by the classes in the namespace.

For declarative security, use the class.

Controls access to network information and traffic statistics for the local computer. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  System.MonoTODO

  The permission created by this constructor can be used to secure access to network information.

  Initializes a new instance of the class using the specified value.

  One of the values.
- Constructor
  2.0.0.0
  4.0.0.0
  System.MonoTODO

  The permission created by this constructor can be used to secure access to network information.

  Initializes a new instance of the class with the specified .

  One of the values.
- Property
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Net.NetworkInformation.NetworkInformationAccess To be added.

  A created with is given | access. A created with is given access.

  Gets the level of access to network information controlled by this permission.

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Void ``

  Use this method to modify access to network information by adding to the state of the current permission.

  Adds the specified value to this permission.

  One of the values.
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Security.IPermission

  A copy of a permission represents the same access to resources as the original permission.

  Creates and returns an identical copy of this permission.

  A that is identical to the current permission

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Void ``

  This method is used by the security system and is not normally called by application code.

  Sets the state of this permission using the specified XML encoding.

  A that contains the XML encoding to use to set the state of the current permission
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Security.IPermission ``

  The intersection of two permissions is a permission that describes the state they both describe in common. Only a demand that passes both original permissions will pass the intersection.

  Creates and returns a permission that is the intersection of the current permission and the specified permission.

  A that represents the intersection of the current permission and the specified permission. This new permission is null if the intersection is empty or is null.

  An to intersect with the current permission. It must be of the same type as the current permission.
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Boolean ``

  The current permission is a subset of the specified permission if the current permission specifies a state that is wholly contained by the specified permission. If this method returns true, the current permission represents no more access to the protected resource than does the specified permission.

  Determines whether the current permission is a subset of the specified permission.

  true if the current permission is a subset of the specified permission; otherwise, false.

  An that is to be tested for the subset relationship. This permission must be of the same type as the current permission
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Boolean

  An unrestricted permission is created using the constructor.

  Returns a value indicating whether the current permission is unrestricted.

  true if the current permission is unrestricted; otherwise, false.

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Security.SecurityElement

  This method is used by the security system and is not normally called by application code.

  Creates an XML encoding of the state of this permission.

  A that contains the XML encoding of the current permission.

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Security.IPermission ``

  The method returns a permission that represents all the states represented by both the current permission and the specified permission. Any demand that passes either permission passes their union.

  Creates a permission that is the union of this permission and the specified permission.

  A new permission that represents the union of the current permission and the specified permission.

  A permission to combine with the current permission.